On 11/25/05, James Edward Gray II <james / grayproductions.net> wrote:> On Nov 25, 2005, at 10:03 AM, Logan Capaldo wrote:>> > If you use the apple installed ruby its all of> > require 'tk' # Aqua GUI -- done>> If you have X11 installed.  I have this working now.  Thanks.>> > This may even work with a ruby installed from source, because I> > believe the> > magic is actually in the Tcl/Tk libs, not ruby.>> I can't get my custom compiled Ruby to do the same.  I'm seeing:>> $ ruby -r tk -e1> /usr/local/lib/ruby/1.8/tk.rb:7:in `require': No such file to load --> tcltklib (LoadError)>          from /usr/local/lib/ruby/1.8/tk.rb:7>> If anyone knows what I'm doing wrong there, please let me know.
tcltklib is the part that requires tcltk iirc.
Perhaps the extconf did not find the tk libraries when you were compiling ruby?
hth
Michal

--             Support the freedom of music!Maybe it's a weird genre  ..  but weird is *not* illegal.Maybe next time they will send a special forces commandoto your picnic .. because they think you are weird. www.music-versus-guns.org  http://en.policejnistat.cz